Bug 12587 - nginx 0.5.31
: nginx 0.5.31
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nginx)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-17 17:41 by
Modified: 2007-08-30 17:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-17 17:41:36
а можно обновить версию нгинкса? и в updates server положить ее?
------- Comment #1 From 2007-08-17 22:55:47 -------
Спасибо, ушло в incoming/
------- Comment #2 From 2007-08-18 07:55:08 -------
вдогонку: чтобы with/without perl имело больше смысла, нужно спек в %files чуть
пофиксить:

--- nginx.spec.orig     2007-08-18 06:53:03 +0400
+++ nginx.spec  2007-08-18 06:53:24 +0400
@@ -136,12 +136,14 @@
 %nginx_etc/koi-utf
 %nginx_etc/win-utf
 %_docdir/%name-%version
+%if_with perl
 #/usr/local/lib/perl5/site_perl/5.8.8/i386-linux/auto/nginx/nginx.bs
 #/usr/local/lib/perl5/site_perl/5.8.8/i386-linux/auto/nginx/nginx.so
 #/usr/local/lib/perl5/site_perl/5.8.8/i386-linux/nginx.pm
 #/usr/local/share/man/man3/nginx.3pm.gz
 %perl_vendor_privlib/*
 %perl_vendor_man3dir/*
+%endif

 %pre
 %_sbindir/groupadd -r -f %nginx_group ||:
------- Comment #3 From 2007-08-19 13:26:47 -------
fixed in git.
thanks.